GET
/
api
/
logs
/
{conversationId}
/
assignment-history

Example JS Code to Get Assignment History from a Conversation

const apiUrl = 'https://app.chatvolt.ai';
const apiKey = 'YOUR_API_KEY';
const conversationId = 'YOUR_CONVERSATION_ID';

const res = await fetch(
  `${apiUrl}/api/logs/${conversationId}/assignment-history`,
  {
    headers: {
      Authorization: `Bearer ${apiKey}`,
    },
  }
);
const data = await res.json();
console.log(data);

Example Response

{
  "periods": [
    {
      "id": "cmecskbsr0001b469u7gvnnxn",
      "membershipId": "cmecskbsr0001b469u7gvnnxn",
      "user": {
        "id": "cmecskbsr0000b469m460vwmm",
        "name": "Rafa",
        "email": "admin@gmail.com",
        "picture": null
      },
      "startedAt": "2026-08-09T01:48:21.609Z",
      "endedAt": "2026-08-09T01:50:00.000Z",
      "assignedBy": {
        "id": "cmecskbsr0000b469m460vwmm",
        "name": "Rafa",
        "email": "admin@gmail.com"
      },
      "assignedSource": "INBOX",
      "removedBy": null,
      "removedSource": "API"
    }
  ],
  "legacy": [],
  "hasMore": false
}

Authorizations

Authorization
string
headerrequired

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

conversationId
string
required

ID of the conversation to retrieve assignment history for.

Response

200 - application/json
periods
object[]
legacy
object[]
hasMore
boolean